"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var baseController_1 = require("../baseController");
var BasicCreateItemController = (function (_super) {
    __extends(BasicCreateItemController, _super);
    function BasicCreateItemController(basicItemService, $stateParams, state, returnUrl) {
        var _this = _super.call(this, basicItemService, $stateParams, state, function () {
            return returnUrl;
        }) || this;
        _this.basicItemService = basicItemService;
        _this.state = state;
        _this.returnUrl = returnUrl;
        return _this;
    }
    BasicCreateItemController.prototype.save = function () {
        var _this = this;
        this.loading = true;
        this.basicItemService.createItem(this.item, function (data) {
            _this.loading = false;
            if (data)
                _this.cancel();
        }, function (data) {
            if (data) {
                if (data.error)
                    _this.error = data.error;
                else
                    _this.error = data;
            }
            _this.loading = false;
        });
    };
    BasicCreateItemController.prototype.cancel = function () {
        if (this.basicItemService.mode === 'router') {
            this.state.go(this.returnUrl);
        }
        else {
            this.open = false;
        }
    };
    return BasicCreateItemController;
}(baseController_1.BaseItemController));
BasicCreateItemController.controllerName = undefined;
exports.BasicCreateItemController = BasicCreateItemController;
//# sourceMappingURL=controller.js.map