"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var baseController_1 = require("../baseController");
var BaseDetailItemController = (function (_super) {
    __extends(BaseDetailItemController, _super);
    function BaseDetailItemController($scope, state, $stateParams, basicItemService, returnUrl) {
        var _this = _super.call(this, basicItemService, $stateParams, state, function () {
            return _this.returnUrl;
        }) || this;
        _this.basicItemService = basicItemService;
        _this.returnUrl = returnUrl;
        _this.eventEditFocused = false;
        return _this;
    }
    BaseDetailItemController.prototype.itemLoadComplete = function () {
        if (this.itemIsEmpty())
            this.cancel(this.returnUrl);
    };
    BaseDetailItemController.prototype.edit = function (urlToEdit) {
        if (this.basicItemService.mode === 'router') {
            this.state.go(urlToEdit + '/' + this.item._id);
        }
        else {
            this.eventEditFocused = true;
        }
    };
    return BaseDetailItemController;
}(baseController_1.BaseItemController));
exports.BaseDetailItemController = BaseDetailItemController;
//# sourceMappingURL=controller.js.map