"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var baseController_1 = require("../baseController");
var BaseEditItemController = (function (_super) {
    __extends(BaseEditItemController, _super);
    function BaseEditItemController(state, basicItemService, $stateParams, returnUrl) {
        var _this = _super.call(this, basicItemService, $stateParams, state, function (it) {
            return returnUrl + '/' + it._id;
        }) || this;
        _this.basicItemService = basicItemService;
        _this.returnUrl = returnUrl;
        return _this;
    }
    BaseEditItemController.prototype.save = function (returnUrl) {
        var _this = this;
        this.loading = true;
        this.basicItemService.saveItem(this.item, function () {
            _this.loading = false;
            if (_this.basicItemService.mode === 'router') {
                _this.state.go(returnUrl + '/' + _this.item.id);
            }
            else {
                _this.open = false;
            }
        }, function (error) {
            _this.error = error;
            _this.loading = false;
        });
    };
    BaseEditItemController.prototype.cancel = function (returnUrl) {
        if (this.basicItemService.mode === 'router') {
            var id = this.item.id;
            this.state.go(returnUrl, { id: id });
        }
        else {
            this.open = false;
        }
    };
    return BaseEditItemController;
}(baseController_1.BaseItemController));
exports.BaseEditItemController = BaseEditItemController;
//# sourceMappingURL=controller.js.map