"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BaseItemController = (function () {
    function BaseItemController(basicItemService, $stateParams, state, returnUrlFunction) {
        var _this = this;
        this.basicItemService = basicItemService;
        this.state = state;
        this.item = {};
        this.loading = false;
        this.error = undefined;
        basicItemService.getMode(this);
        this.itemId = basicItemService.getId(this, $stateParams);
        this.loading = true;
        basicItemService.getItem(this.itemId, function (data) {
            _this.item = data;
            _this.loading = false;
            _this.itemLoadComplete();
        }, function (data) {
            if (data && data.exists === false) {
                return _this.cancel(returnUrlFunction(_this.item));
            }
            _this.loading = false;
        });
    }
    BaseItemController.prototype.itemLoadComplete = function () {
    };
    BaseItemController.prototype.itemIsEmpty = function () {
        return (JSON.stringify(this.item) == '{}');
    };
    BaseItemController.prototype.cancel = function (returnUrl) {
        if (this.basicItemService.mode === 'router') {
            this.state.go(returnUrl);
        }
        else {
            this.open = false;
        }
    };
    ;
    return BaseItemController;
}());
BaseItemController.controllerName = undefined;
exports.BaseItemController = BaseItemController;
//# sourceMappingURL=baseController.js.map