"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BasicListFactory = (function () {
    function BasicListFactory() {
        this.ItemListListeners = {};
    }
    BasicListFactory.prototype.AddedItem = function () {
        for (var prop in this.ItemListListeners) {
            this.ItemListListeners[prop]();
        }
    };
    BasicListFactory.prototype.AddListener = function (key, func) {
        this.ItemListListeners[key] = func;
    };
    BasicListFactory.prototype.RemoveListener = function (key) {
        delete this.ItemListListeners[key];
    };
    BasicListFactory.prototype.$get = function () {
        return this;
    };
    BasicListFactory.Factory = function () {
        return [
            function () {
                return new BasicListFactory();
            }
        ];
    };
    return BasicListFactory;
}());
BasicListFactory.factoryName = 'BasicListFactory';
BasicListFactory.$inject = [];
exports.BasicListFactory = BasicListFactory;
BasicListFactory.$inject.push(BasicListFactory);
//# sourceMappingURL=factory.js.map